Contenu | Rechercher | Menus

Annonce

DVD, clés USB et t-shirts Ubuntu-fr disponibles sur la boutique En Vente Libre

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

À propos de l'équipe du forum.

#1 Le 06/04/2020, à 13:24

Lek1

Amule sur 20.04

Salut,

Petite question, quelqu'un a-t-il tenté d'installer amule sur la 20.04 ?
Il semblerait que le paquet n'existe plus....

Merci de vos retours.


"Ceux qui ne bougent pas ne sentent pas leurs chaînes." (Rosa Luxemburg)   
KDE Neon 20.04

Hors ligne

#2 Le 06/04/2020, à 13:56

abelthorne

Re : Amule sur 20.04

Effectivement, le paquet n'est plus dans les dépôts. Curieusement, il y a encore un outil tiers (amule-emc) mais plus l'appli. Pas non plus de paquets flatpak, snap ou appimage. Reste la solution (en théorie) de télécharger l'archive depuis le site officiel et de l'installer en local, même si ce n'est pas le plus pratique.

Dernière modification par abelthorne (Le 06/04/2020, à 13:56)

Hors ligne

#3 Le 06/04/2020, à 14:13

Lek1

Re : Amule sur 20.04

Je viens de penser, peut-être installer emule par Wine ??
Merci pour ton retour.


"Ceux qui ne bougent pas ne sentent pas leurs chaînes." (Rosa Luxemburg)   
KDE Neon 20.04

Hors ligne

#4 Le 06/04/2020, à 14:14

abelthorne

Re : Amule sur 20.04

C'est une possibilité (s'il fonctionne). Mais quitte à l'installer en local, autant utiliser aMule.

EDIT : il y a aussi une autre possibilité : installer les paquets 19.10 s'ils n'ont pas de problèmes de dépendance.

Dernière modification par abelthorne (Le 06/04/2020, à 14:15)

Hors ligne

#5 Le 06/04/2020, à 15:05

Lek1

Re : Amule sur 20.04

abelthorne a écrit :

EDIT : il y a aussi une autre possibilité : installer les paquets 19.10 s'ils n'ont pas de problèmes de dépendance.

Ah, et comment faire ?


"Ceux qui ne bougent pas ne sentent pas leurs chaînes." (Rosa Luxemburg)   
KDE Neon 20.04

Hors ligne

#6 Le 06/04/2020, à 15:21

abelthorne

Re : Amule sur 20.04

Les télécharger depuis packages.ubuntu.com, avec les dépendances éventuelles qui ne sont pas dans les dépôts non plus et les installer dans l'ordre. Sur la page d'amule, on voit qu'il faut le paquet amule-common, libboost-system1.67.0, libc6 en version 2.29 ou supérieure, libcrypto++6, etc. À part amule-common, il y a de grandes chances que les autres dépendances existent encore en 20.04 et comme dans l'ensemble il n'y a pas de prérequis de versions trop spécifiques, il y a des chances que ça fonctionne. Le paquet amule-common n'a pas de dépendances.

Donc, télécharge les deux paquets pour l'archi qui correspond à ton système, càd vraisemblablement amd64 pour amule (amule-common est en version all, ça veut dire qu'il ne dépend pas d'une archi particulière − le paquet ne contient que des données) puis tente de les installer, d'abord amule-common, ensuite amule tout court. Tu verras alors si sur ce dernier il manque des dépendances ou si c'est bon. S'il en manque, il faudra aller les chercher et voir si elles s'installent de la même manière, s'il faut encore d'autres dépendances, etc. jusqu'à te retrouver dans la situation où soit tout peux s'installer sans problème, soit une dépendance est sur une version fixe qui ne peut pas s'installer en 20.04 (dans ce cas-là, retour au point de départ pour trouver une autre méthode d'installation).

Hors ligne

#7 Le 06/04/2020, à 15:51

LukePerp

Re : Amule sur 20.04

Pour ma culture, pourquoi utiliser la mule ? De nos jours, le protocole torrent est mature et on trouve de tout en torrent, alors j'avoue souhaité comprendre, pour élargir ma connaissance.


Desktop & Laptop - Ubuntu Mate LTS - Intel i5 - 8 Go - Dual boot Windows offline

Hors ligne

#8 Le 06/04/2020, à 16:22

Lek1

Re : Amule sur 20.04

abelthorne a écrit :

dans ce cas-là, retour au point de départ pour trouver une autre méthode d'installation.

Effectivement, il manque des paquets qui ne sont pas dans dans les dépots.


"Ceux qui ne bougent pas ne sentent pas leurs chaînes." (Rosa Luxemburg)   
KDE Neon 20.04

Hors ligne

#9 Le 06/04/2020, à 16:47

abelthorne

Re : Amule sur 20.04

Lesquels ? (Je ne suis pas encore en 20.04, je ne peux pas tester.)

Hors ligne

#10 Le 06/04/2020, à 16:59

Lek1

Re : Amule sur 20.04

Pour l'instant tous les trois Dépendancet

J'ai pu en installer pas mal, mais pas les trois là.


"Ceux qui ne bougent pas ne sentent pas leurs chaînes." (Rosa Luxemburg)   
KDE Neon 20.04

Hors ligne

#11 Le 06/04/2020, à 17:22

abelthorne

Re : Amule sur 20.04

N'installe surtout pas les deb de libgcc1 et libc6, ce sont des paquets majeurs du système. Quand tu installes amule, il te dit qu'il ne peut pas s'installer à cause de ceux-ci ? Étant donné qu'il a des dépendances sur libgcc1 >= 1:3.0 et libc6 >= 2.29 (et pas des 1:3.0 et 2.29 spécifiquement), ça m'étonne qu'il ne puisse pas utiliser ceux des dépôts 20.04.

Et on s'est peut-être mal compris à la base : est-ce que tu as installé d'autres paquets qu'amule-common en version 19.10 avec des paquets deb ? Parce que ce serait une très mauvaise idée d'en réinstaller certains en version 19.10.

Hors ligne

#12 Le 06/04/2020, à 17:41

Lek1

Re : Amule sur 20.04

abelthorne a écrit :

N'installe surtout pas les deb de libgcc1 et libc6, ce sont des paquets majeurs du système. Quand tu installes amule, il te dit qu'il ne peut pas s'installer à cause de ceux-ci ? Étant donné qu'il a des dépendances sur libgcc1 >= 1:3.0 et libc6 >= 2.29 (et pas des 1:3.0 et 2.29 spécifiquement), ça m'étonne qu'il ne puisse pas utiliser ceux des dépôts 20.04.

Et on s'est peut-être mal compris à la base : est-ce que tu as installé d'autres paquets qu'amule-common en version 19.10 avec des paquets deb ? Parce que ce serait une très mauvaise idée d'en réinstaller certains en version 19.10.

Je t'ai mal compris. J'ai d'abord installé amule-common puis amule, mais comme cela ne fonctionnait, j'en ai ajouté d'autres.
Je les désinstalle ?


"Ceux qui ne bougent pas ne sentent pas leurs chaînes." (Rosa Luxemburg)   
KDE Neon 20.04

Hors ligne

#13 Le 06/04/2020, à 17:54

Lek1

Re : Amule sur 20.04

J'ai désinstallé ce que je pouvais.
Les autres je les ai laissés car ils sont liés avec des logiciels.
De toutes façons, ceux que j'ai laissés se mettront à jour, non ?


"Ceux qui ne bougent pas ne sentent pas leurs chaînes." (Rosa Luxemburg)   
KDE Neon 20.04

Hors ligne

#14 Le 06/04/2020, à 18:21

abelthorne

Re : Amule sur 20.04

Quand tu dis que ça ne fonctionnait pas avec amule, c'est quand tu as installé le paquet ? et si oui, lesquels posaient problème en dépendance (liste) ? ceux que tu as installés (puis désinstallés), c'est via des debs ou depuis les dépôts ?
Il faut faire très attention quand on installe des paquets prévus pour une version d'Ubuntu différente, et notamment vérifier si les dépendances sont disponibles sur celle qu'on a, en quelle version, quelle version (des dépendances) est nécessaire, si elles rentrent en conflit avec d'autres, etc.

Accessoirement, pour installer des paquets deb, tu passes bien par la Logithèque (ou éventuellement Synaptic) ?

Pour ce qui est des mises à jour, normalement elles se feront mais ce n'est pas toujours le cas en fonction de la façon dont elles ont été installées.

Là, dans le doute, on va quand même vérifier si tu te retrouves avec des paquets orphelins :

apt list | grep "installé, local"

Dernière modification par abelthorne (Le 06/04/2020, à 18:52)

Hors ligne

#15 Le 07/04/2020, à 10:00

Lek1

Re : Amule sur 20.04

Voici le retour :

apt list | grep "installé, local"

WARNING: apt does not have a stable CLI interface. Use with caution in scripts.

amule-common/now 1:2.3.2-6 all  [installé, local]

"Ceux qui ne bougent pas ne sentent pas leurs chaînes." (Rosa Luxemburg)   
KDE Neon 20.04

Hors ligne

#16 Le 07/04/2020, à 10:18

abelthorne

Re : Amule sur 20.04

Ok, ça c'est bon.

Pour installer les paquets deb, tu confirmes que tu es passé par un gestionnaire de paquets (Logithèque, Synaptic, etc.), pas par dpkg en ligne de commande ?

Hors ligne

#17 Le 07/04/2020, à 10:36

Lek1

Re : Amule sur 20.04

abelthorne a écrit :

Ok, ça c'est bon.

Pour installer les paquets deb, tu confirmes que tu es passé par un gestionnaire de paquets (Logithèque, Synaptic, etc.), pas par dpkg en ligne de commande ?

Oui, je suis passer par le gestionnaire de paquet lorsque j'ai cliqué dessus.


"Ceux qui ne bougent pas ne sentent pas leurs chaînes." (Rosa Luxemburg)   
KDE Neon 20.04

Hors ligne

#18 Le 07/04/2020, à 10:45

abelthorne

Re : Amule sur 20.04

Et donc, quand tu essaies d'installer le deb d'amule, qu'est-ce qu'il te liste comme dépendances manquantes (avec les versions s'il le précise) ?

Hors ligne

#19 Le 07/04/2020, à 11:33

Lek1

Re : Amule sur 20.04


"Ceux qui ne bougent pas ne sentent pas leurs chaînes." (Rosa Luxemburg)   
KDE Neon 20.04

Hors ligne

#20 Le 07/04/2020, à 12:06

abelthorne

Re : Amule sur 20.04

Les onglets importent peu, c'est le message d'erreur en rouge qui compte mais je pensais qu'il allait te lister les dépendances qui posent problème, pas juste dire "problème de dépendances" sans plus de précisions.

Hors ligne

#21 Le 07/04/2020, à 12:39

Lek1

Re : Amule sur 20.04

abelthorne a écrit :

Les onglets importent peu, c'est le message d'erreur en rouge qui compte mais je pensais qu'il allait te lister les dépendances qui posent problème, pas juste dire "problème de dépendances" sans plus de précisions.

Oui, ça ne dit rien de plus.


"Ceux qui ne bougent pas ne sentent pas leurs chaînes." (Rosa Luxemburg)   
KDE Neon 20.04

Hors ligne

#22 Le 07/04/2020, à 13:02

abelthorne

Re : Amule sur 20.04

C'est pas gagné pour l'installer comme ça, fais plutôt une installation manuelle quelque part dans ton dossier perso depuis l'archive téléchargeable sur le site d'aMule.

Hors ligne

#23 Le 07/04/2020, à 14:23

Lek1

Re : Amule sur 20.04

bon, j'ai télécharger l'archive et décompresser.
C'est en fait, pas si simple à faire, suis pas spécialiste.
Pour l'installation il dit :

 Requirements
--------------
  To compile aMule, you'll need at least the following packages:
    * zlib >= 1.1.4       (1.2.3 is recommended)
    * wxWidgets >= 2.8.0  (2.8.9 is recommended)
    * Crypto++ >= 5.1     (5.5.2 is recommended)
    * the perl File::Copy module

  For aMuleWeb you'll also need:
    * a POSIX compliant regex library (like libgnurx or libregex, for most
      GNU systems it's part of the standard C library).

  Optionally you may want to provide:
    * libgd (or gdlib) >= 2.0.0, to let cas generate statistics images;
    * libupnp >= 1.6.6 if you want to have UPnP support;
    * libpng >= 1.2.0 to let aMuleWeb generate nice statistics graphs;
    * libGeoIP >= 1.4.4 if you want colourful country flags and IP to country
      mappings in the GUI;
    * gettext >= 0.11.5 if you want to enable NLS (Native Language Support).

  It is known to compile with GCC 3.2, 3.3, 3.4, 4.1, 4.2 and 4.3;
  Sun Studio 12 and MSVC. GCC 2.95 is not supported.

  aMule requires a wxWidgets builds that supports unicode. Since wxWidgets
  does not support unicode with GTK1, it is not possible to make aMule use
  GTK1.

  As Crypto++ is very sensitive to compiler defects, if you're compiling it
  from source be sure to always test your compilation with `cryptest.exe v'.
  (Yes, it's called cryptest.exe on all platforms.) Only when all tests
  passed may you safely go on with compiling aMule.
  Adding "-DCRYPTOPP_DISABLE_ASM -O1" to CXXFLAGS is known to resolve
  these problems.

Mais les dépendances ne sont pas trouvables......


"Ceux qui ne bougent pas ne sentent pas leurs chaînes." (Rosa Luxemburg)   
KDE Neon 20.04

Hors ligne

#24 Le 07/04/2020, à 14:40

abelthorne

Re : Amule sur 20.04

Les dépendances n'ont pas forcément les mêmes noms de paquets sur Ubuntu : ce sont les logiciels (généralement des bibliothèques) avec leur nom "normal", chaque distro les empaquette en suivant sa propre nomenclature.
Mais surtout, ce sont les instructions pour la compilation à partir des sources. J'espérais que l'archive à télécharger sur le site soit une version compilée mais ça n'a pas l'air d'être le cas...

Je jetterai un coup d'œil à l'installation via le deb 19.10 (c'est même peut-être possible de refaire un paquet 20.04 sans trop de problèmes) quand je passerai en 20.04 mais ce ne sera pas avant sa sortie.

Hors ligne

#25 Le 07/04/2020, à 16:55

Lek1

Re : Amule sur 20.04

abelthorne a écrit :

Les dépendances n'ont pas forcément les mêmes noms de paquets sur Ubuntu : ce sont les logiciels (généralement des bibliothèques) avec leur nom "normal", chaque distro les empaquette en suivant sa propre nomenclature.
Mais surtout, ce sont les instructions pour la compilation à partir des sources. J'espérais que l'archive à télécharger sur le site soit une version compilée mais ça n'a pas l'air d'être le cas...

Je jetterai un coup d'œil à l'installation via le deb 19.10 (c'est même peut-être possible de refaire un paquet 20.04 sans trop de problèmes) quand je passerai en 20.04 mais ce ne sera pas avant sa sortie.

Merci beaucoup pour ton aide.
Je vais êter patient et attendre de tes nouvelles.


"Ceux qui ne bougent pas ne sentent pas leurs chaînes." (Rosa Luxemburg)   
KDE Neon 20.04

Hors ligne